package app.mrbool.com.customlistviewapp;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.Button;
import android.widget.ListView;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.List;

public class MainActivity extends AppCompatActivity implements CustomListAdapter.ProductListAdapterListener {

    private ListView lstProducts;
    private Button btnCheckout;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.product_list);

        lstProducts = (ListView) findViewById(R.id.lstProducts);
        btnCheckout = (Button) findViewById(R.id.btnCheckout);

        List<Product> list = new ArrayList<>();
        Product product = new Product();
        product.setTitle("Test 1");
        product.setDescription("Description 1");
        product.setUrlImg("http://www.cebit.de/files/007-fs5/media/bilder/ausstellungsprogramm/developer-world/developer-world-2016_image_gallery_desktop.jpg");
        list.add(product);

        product = new Product();
        product.setTitle("Test 2");
        product.setDescription("Description 2");
        product.setUrlImg("http://www.tobii.com/imagevault/publishedmedia/psqrb0b5sppgrozwjde0/dev.png");
        list.add(product);

        product = new Product();
        product.setTitle("Test 3");
        product.setDescription("Description 3");
        product.setUrlImg("https://g.twimg.com/blog/blog/image/HelloWorldHeaderMedium.jpg");
        list.add(product);

        CustomListAdapter customListAdapter = new CustomListAdapter(this, list, this);
        lstProducts.setAdapter(customListAdapter);

    }

    @Override
    public void onAddCartPressed(Product product) {
        Toast.makeText(MainActivity.this, "Product " + product.getTitle() + " just added!", Toast.LENGTH_SHORT).show();
    }
}
